%define upstream_name    Digest-MD5
%define upstream_version 2.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    MD5 message digest algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::base) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The 'Digest::MD5' module allows you to use the RSA Data Security Inc. MD5
Message Digest algorithm from within Perl programs. The algorithm takes as
input a message of arbitrary length and produces as output a 128-bit
"fingerprint" or "message digest" of the input.

Note that the MD5 algorithm is not as strong as it used to be. It has since
2005 been easy to generate different messages that produce the same MD5
digest. It still seems hard to generate messages that produce a given
digest, but it is probably wise to move to stronger algorithms for
applications that depend on the digest to uniquely identify a message.

The 'Digest::MD5' module provide a procedural interface for simple use, as
well as an object oriented interface that can handle messages of arbitrary
length and which can read files directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.580.0-4.mga9
+ Revision: 1861828
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.580.0-3.mga9
+ Revision: 1795686
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.580.0-2.mga9
+ Revision: 1726563
- Rebuild for perl 5.34

* Tue Oct 06 2020 tv <tv> 2.580.0-1.mga8
+ Revision: 1632366
- update to 2.58

* Wed Jun 17 2020 umeabot <umeabot> 2.550.0-10.mga8
+ Revision: 1594561
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.550.0-9.mga8
+ Revision: 1528836
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 2.550.0-8.mga8
+ Revision: 1432705
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.550.0-7.mga7
+ Revision: 1292820
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.550.0-6.mga7
+ Revision: 1249331
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.550.0-5.mga7
+ Revision: 1164082
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.550.0-4.mga7
+ Revision: 1148869
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.550.0-3.mga7
+ Revision: 1127288
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.550.0-2.mga6
+ Revision: 1025790
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.550.0-1.mga6
+ Revision: 1001840
- update to 2.55

* Fri Feb 12 2016 umeabot <umeabot> 2.540.0-4.mga6
+ Revision: 957228
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.540.0-3.mga6
+ Revision: 844862
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 2.540.0-2.mga6
+ Revision: 841119
- rebuild for perl-5.22

* Mon Jun 22 2015 sander85 <sander85> 2.540.0-1.mga6
+ Revision: 839368
- update to 2.54

* Wed Oct 15 2014 umeabot <umeabot> 2.530.0-7.mga5
+ Revision: 749876
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.530.0-6.mga5
+ Revision: 735615
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.530.0-5.mga5
+ Revision: 684364
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.530.0-4.mga5
+ Revision: 631126
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.530.0-3.mga5
+ Revision: 587914
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 2.530.0-2.mga4
+ Revision: 529454
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 2.530.0-1.mga4
+ Revision: 451884
- update to 2.53

* Wed May 29 2013 jquelin <jquelin> 2.520.0-8.mga4
+ Revision: 432275
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 2.520.0-7.mga4
+ Revision: 432107
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 2.520.0-6.mga3
+ Revision: 405468
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.520.0-5.mga3
+ Revision: 365925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 2.520.0-4.mga3
+ Revision: 315497
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.520.0-3.mga3
+ Revision: 294844
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.520.0-2.mga3
+ Revision: 284583
- perl 5.16.1 rebuild

* Mon Jun 11 2012 jquelin <jquelin> 2.520.0-1.mga3
+ Revision: 259674
- update to 2.52

* Wed May 30 2012 jquelin <jquelin> 2.510.0-5.mga3
+ Revision: 250575
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.510.0-4.mga2
+ Revision: 104161
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.510.0-3.mga1
+ Revision: 53607
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.510.0-2.mga1
+ Revision: 23289
- rebuild for perl 5.12

* Mon Jan 17 2011 spuhler <spuhler> 2.510.0-1.mga1
+ Revision: 20829
- removed buildroot definition from .spec
+ jquelin <jquelin>
- imported package perl-Digest-MD5

